Summary: NFS server daemons
Name: nfs-server
Version: 2.2beta37
Release: 1
Copyright: GPL
Group: Networking/Daemons
Source0: ftp://ftp.mathematik.th-darmstadt.de/pub/linux/okir/nfs-server-%{PACKAGE_VERSION}.tar.gz
Source1: nfs.init
Source2: exportfs
Buildroot: /var/tmp/nfs-root
Patch0: nfs-server-2.2beta36-glibc.patch
Patch1: nfs-server-2.2beta36-redhat.patch
Patch2: nfs-server-2.2beta37-sigpwr.patch
Requires: portmap
Summary(de): NFS-Server-Dmonen
Summary(fr): Demon pour serveur NFS.
Summary(tr): NFS sunucu sreleri

%description
The NFS and mount daemons are used to create an NFS server which
can export filesystems to other machines.  This package is not
needed to mount NFS filesystems -- that functionality is already
in the Linux kernel.

%package clients
Summary: client apps for use with remote NFS servers
Group: Networking/Admin
Summary(de): Client-Apps zum Einsatz mit Remote-NFS-Servern 
Summary(fr): Applis clientes  utiliser avec des serveurs NFS distants
Summary(tr): NFS sunucularna eriim iin istemci tarafnda kullanlan uygulamalar

%description clients
This package contains client programs that interact with NFS servers.
It is not needed to mount NFS volumes.  At the moment the only program
in it is showmount, which can be used to show exported and mounted
filesystems.

%description -l de clients
Dieses Paket enthlt Client-Programme, die mit NFS-Sservern interagieren. 
Es wird zum Montieren von NFS-Volumes nicht bentigt. Momentan ist das 
einzige darin enthaltene Programm Showmount, das benutzt werden kann, 
um exportierte und montierte Dateisysteme anzuzeigen. 

%description -l de
Die NFS- und Mount-Dmonen werden zum Erstellen eines NFS-Servers 
benutzt, der Dateisysteme auf andere Computer exportieren kann. 
Dieses Paket wird zum Montieren von NFS-Dateisysteme nicht bentigt, 
da es sich um eine Funktion handelt, die bereits im Linux-Kernel  
eingebaut ist. 

%description -l fr clients
Ce paquetage contient les programmes client qui interagissent avec les
serveurs NFS. Il n'est pas ncessaire pour monter les volumes NFS. Pour
l'instant, il ne contient que showmount qui sert  montrer les systmes
de fichiers exports et monts.

%description -l fr
Les dmons NFS et mount servent  crer un serveur NFS qui peut
exporter des systmes de fichiers vers d'autres machines. Ce paquetage
n'est pas ncessaire pour monter des systmes de fichiers NFS
-- cette fonctionnalit est dj dans le noyau Linux.

%description -l tr clients
Bu paket imdilik sadece showmount komutunu iermektedir. Bu komut, bir
makinann bakalarnn eriimine at NFS dosya sistemlerini sorgulamak
iin kullanlr.

%description -l tr
NFS ve mount sunucu sreleri Linux sisteminizde yer alan dosya sistemlerini
NFS kullanarak baka makinalara paylatrmanz salayan sunuculardr. Bu
paket ile bilgisayarnz bir NFS sunucusu olarak kullanabilirsiniz. Baka
sunuculardan NFS kullanarak dosya sistemlerini balayabilmeniz iin bu
programlara gerek yoktur; bu zellik ekirdek iinde yer almaktadr.

%prep
%setup -q
%patch0 -p1 -b .glibc
%patch1 -p1 -b .redhat
%patch2 -p1 -b .sigpwr

%build
echo | ./BUILD --nis=yes --hosts-access=yes --libwrap-directory=/usr/lib \
	--exports-uid=0 --exports-gid=0 --log-mounts=yes \
	--ugidd=no --multi=no
make CFLAGS="$RPM_OPT_FLAGS" 

%install

make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc1.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc4.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

strip $RPM_BUILD_ROOT/usr/sbin/rpc.mountd
strip $RPM_BUILD_ROOT/usr/sbin/rpc.nfsd 
strip $RPM_BUILD_ROOT/usr/sbin/showmount
touch $RPM_BUILD_ROOT/etc/exports
chmod 644 $RPM_BUILD_ROOT/etc/exports

install -m755 -o root -g root $RPM_SOURCE_DIR/nfs.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K20nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K20nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K20nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S60nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S60nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K20nfs

install -m755 -o 0 -g 0 $RPM_SOURCE_DIR/exportfs $RPM_BUILD_ROOT/usr/sbin/exportfs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc NEWS README
%config /etc/exports

%config /etc/rc.d/init.d/nfs
%config(missingok) /etc/rc.d/rc0.d/K20nfs
%config(missingok) /etc/rc.d/rc1.d/K20nfs
%config(missingok) /etc/rc.d/rc2.d/K20nfs
%config(missingok) /etc/rc.d/rc3.d/S60nfs
%config(missingok) /etc/rc.d/rc5.d/S60nfs
%config(missingok) /etc/rc.d/rc6.d/K20nfs

/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/exportfs
/usr/man/man5/exports.5
/usr/man/man8/mountd.8
/usr/man/man8/nfsd.8

%files clients
/usr/sbin/showmount
/usr/man/man8/showmount.8

%changelog
* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2beta37

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- fixed Erik's errno patch
- security fix

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan build
- updated the glibc patch

* Thu Oct 30 1997 Donnie Barnes <djb@redhat.com>
- added missingok tags to initscript symlinks

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to 2.2beta29
- added chkconfig support
- added status and restart to initscript

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- fixed typo in description of the clients subpackage.

